/* PSbuf.c
|
|	Prototypes of PS buffer management functions.
+-----------------------------------------------------------------------------*/
extern int
PSbufGet(
	int	pfd,
	int	pageno,
	PSfpage	**fpage,
	int	(*readfn)(int, int, PSfpage *),
	int	(*writefn)(int, int, PSfpage *));

extern int
PSbufGet1(
	int	pfd,
	int	pageno,
	PSfpage	**fpage,
	int	(*readfn)(int, int, PSfpage *),
	int	(*writefn)(int, int, PSfpage *),
	bool_t	multiple_fixes);

extern int
PSbufUnfix(
	int	pfd,
	int	pageno);

extern int
PSbufAlloc(
	int	pfd,
	int	pageno,
	PSfpage	**fpage,
	int	(*writefn)(int, int, PSfpage *));

extern int
PSbufReleaseFile(
	int	pfd,
	int	(*writefn)(int, int, PSfpage *));

extern int
PSbufUsed(
	int	pfd,
	int	pageno);

extern void
PSbufPrint(void);




